Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Open drawing skip user input

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
CAD-e-Shack
648 Views, 4 Replies

Open drawing skip user input

I'm using the following code to open a drawing:

 

Set doc = ThisApplication.Documents.Open(Archive, True)

and this code to close the drawing

ThisApplication.ActiveDocument.Close True

 

The close command skips the typical user input that is required but for some reason I don't find the option for when the drawing is opened.

 

The drawing must open in order that it can update the changes that are being made to it by the code (so I can't insert "false" into the open command).

However, because many of the drawings are stored in vault I get the prompt whether or not to check the drawing out.

 

Is there a way I can automatically select one of the options (attachment) without the user selecting it each time?

 

ps

I also am using the command

ThisApplication.SilentOperation = True

throughout the code

4 REPLIES 4
Message 2 of 5
jdkriek
in reply to: CAD-e-Shack

My first idea would be to programatically set the Vault dialog options that you can set manually via the UI

 

VaultOptions2.PNG

 

But the only thing I could find was PromptMessageRestrictionsEnum

 

prompt.PNG

 

Btw, It's been asked many times, but with no responces:

 

http://forums.autodesk.com/t5/Autodesk-Inventor-Customization/Dialog-suppression-for-check-in-on-fil...

 

http://forums.autodesk.com/t5/Autodesk-Inventor-Customization/Vault-Messages-in-Inventor/m-p/1509481...

 

Jonathan D. Kriek
MFG Solutions Engineer
KETIV Technologies, Inc.


Message 3 of 5
CAD-e-Shack
in reply to: jdkriek

Ultimately it's not the best solution, but with the options that I've been given, it's the closest that I have found.

 

Thanks.

Message 4 of 5
jdkriek
in reply to: CAD-e-Shack

I know and given the fact that no one has come up with a solution since 2005 (Vault 4.0) - anything is better than nothing 😉

Jonathan D. Kriek
MFG Solutions Engineer
KETIV Technologies, Inc.


Message 5 of 5
Burnit87
in reply to: jdkriek

im doing some automated dxf exports for sheet metal, but i didnt want to click the ok on the title block promted entry

 

so i added the  silent code before the operation, worked for me

 

 

m_InvApp.SilentOperation = True

 

Dim NewIdw As DrawingDocument = m_InvApp.Documents.Add(DocumentTypeEnum.kDrawingDocumentObject, m_InvApp.FileOptions.TemplatesPath() + "Standard.idw", True)

BP

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report